The latest version of Adobe Illustrator2021 (25.3.1) has been released.
We have confirmed a problem that some of our plug-ins don’t show guide lines properly when used in that version on Mac. (No problem was found on Windows version.)

The plug-ins that have the problem:

  • BPT-Pro
  • Segment Tools (BPT-LT)
  • Grading Tools
  • DB Palette

It may take time to fix this problem.
As an immediate solution, please re-install Adobe Illustrator to 25.2.3, the previous version. It is available on Creative Cloud app.

How to install previous version :
https://helpx.adobe.com/download-install/using/install-previous-version.html

Further information will be announced soon on this website.
We are sorry for the inconvenience.